Attention is currently required from: pespin.
daniel has posted comments on this change. ( https://gerrit.osmocom.org/c/libosmocore/+/32535 )
Change subject: ns2: Count transmitted/dropped in each layer implementation
......................................................................
Patch Set 3: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/32535
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: I8109cee07f157ebf1806f82a071f58de3a2dcc9c
Gerrit-Change-Number: 32535
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 16 May 2023 08:04:35 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: falconia, dexter.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-bts/+/32714 )
Change subject: TCH DL, FR & EFR: reshape SIDs per 06.31/06.81 section 5.1.2
......................................................................
Patch Set 3:
(3 comments)
File src/common/l1sap.c:
https://gerrit.osmocom.org/c/osmo-bts/+/32714/comment/216c7b57_9c92f025
PS3, Line 1308: static inline bool nonamr_mand_sid_position(struct gsm_lchan *lchan,
fr_efr_sid_position() would be more inline with the rest.
https://gerrit.osmocom.org/c/osmo-bts/+/32714/comment/ee4eba6c_b1d8cc0f
PS3, Line 1415: } else
missing {} in this else following a multiple line if.
https://gerrit.osmocom.org/c/osmo-bts/+/32714/comment/e6d5bf8d_16ca3f34
PS3, Line 1441: if (!resp_msg && lchan->tch.dtx_fr_efr.last_rtp_input_was_sid &&
I'd welcome if you could give a try to see if you can simplify a bit these code paths below, even if that means repeating a bit of code. All of these code paths are full of complex conditionals being checked, some of them checked several times, like resp_msg.
--
To view, visit https://gerrit.osmocom.org/c/osmo-bts/+/32714
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Change-Id: I924ab21952dcf8bb03ba7ccef790474bf66fc9e5
Gerrit-Change-Number: 32714
Gerrit-PatchSet: 3
Gerrit-Owner: falconia <falcon(a)freecalypso.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: dexter <pmaier(a)sysmocom.de>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: falconia <falcon(a)freecalypso.org>
Gerrit-Attention: dexter <pmaier(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 16 May 2023 07:56:31 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/simtrace2/+/32728 )
Change subject: contrib/jenkins: fix shell logic
......................................................................
contrib/jenkins: fix shell logic
Replace:
[ "$app" == "dfu" ] && use_clang_for_bl=1 || use_clang_for_bl=0
The "use_clang_for_bl=0" part is never executed, as the || is for the
last command "use_clang_for_bl=1" which never fails.
Move the logic down to where make gets called, so we don't need the
variable. Print whether we use CLANG or GCC.
Don't put /opt/llvm-arm/bin infront of PATH unless building with CLANG.
Right now it doesn't seem to have e.g. an override for gcc, but the
files in that path may change when we update
LLVM-embedded-toolchain-for-Arm.
Fixes: 749dcdc27 ("fw: only build the bl with clang")
Related: OS#6026
Change-Id: Id768e0dbed9265f042b942e6699683723ca40a7c
---
M contrib/jenkins.sh
1 file changed, 35 insertions(+), 4 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/simtrace2 refs/changes/28/32728/1
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 1e2846c..e53a450 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -38,7 +38,6 @@
for build in $BUILDS; do
board=`echo $build | cut -d "/" -f 1`
app=`echo $build | cut -d "/" -f 2`
- [ "$app" == "dfu" ] && use_clang_for_bl=1 || use_clang_for_bl=0
case "$build" in
"owhw/cardem")
comb="combined"
@@ -57,9 +56,16 @@
;;
esac
echo
- echo "=============== $board / $app START =============="
- PATH="/opt/llvm-arm/bin:$PATH" make USE_CLANG="$use_clang_for_bl" BOARD="$board" APP="$app" $comb
- echo "=============== $board / $app RES:$? =============="
+ # Build the bootloader with clang, the rest with gcc (OS#5260, OS#6026)
+ if [ "$app" = "dfu" ]; then
+ echo "=============== $board / $app START (CLANG) =============="
+ PATH="/opt/llvm-arm/bin:$PATH" make USE_CLANG=1 BOARD="$board" APP="$app" $comb
+ echo "=============== $board / $app RES:$? =============="
+ else
+ echo "=============== $board / $app START (GCC) =============="
+ make USE_CLANG=0 BOARD="$board" APP="$app" $comb
+ echo "=============== $board / $app RES:$? =============="
+ fi
done
echo
--
To view, visit https://gerrit.osmocom.org/c/simtrace2/+/32728
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: simtrace2
Gerrit-Branch: master
Gerrit-Change-Id: Id768e0dbed9265f042b942e6699683723ca40a7c
Gerrit-Change-Number: 32728
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: laforge, fixeria, dexter.
osmith has posted comments on this change. ( https://gerrit.osmocom.org/c/pysim/+/32532 )
Change subject: pySim-shell: fix compatibility problem with cmd2 >= 2.0.0 (Settable)
......................................................................
Patch Set 16:
(1 comment)
File pySim-shell.py:
https://gerrit.osmocom.org/c/pysim/+/32532/comment/966e850e_0443c4e0
PS14, Line 154: \
> I remember reading somewhere that pylint attributes apply to the scope of current block, so you can […]
see https://gerrit.osmocom.org/c/pysim/+/32532/comments/11a5db4c_23e9ac80
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/32532
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I38efe4702277ee092a5542d7d659df08cb0adeff
Gerrit-Change-Number: 32532
Gerrit-PatchSet: 16
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-CC: laforge <laforge(a)osmocom.org>
Gerrit-CC: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: dexter <pmaier(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 16 May 2023 07:29:08 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: fixeria <vyanitskiy(a)sysmocom.de>
Comment-In-Reply-To: dexter <pmaier(a)sysmocom.de>
Gerrit-MessageType: comment
Attention is currently required from: laforge, pespin.
falconia has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-bts/+/32110 )
Change subject: common+trx: make uplink ECU optional
......................................................................
Patch Set 5:
(4 comments)
Patchset:
PS1:
> I actually came to the same conclusion myself. […]
Done
File src/common/vty.c:
https://gerrit.osmocom.org/c/osmo-bts/+/32110/comment/9e8e8c4e_49ee8d5d
PS4, Line 809: bts->suppress_ul_ecu = false;
> I wrote the code the way I did so that the default of having this UL ECU enabled would happen on its […]
Done
File src/osmo-bts-trx/l1_if.c:
https://gerrit.osmocom.org/c/osmo-bts/+/32110/comment/8c4cfd7e_086f9347
PS4, Line 445: if (!trx->bts->suppress_ul_ecu)
> if (trx->bts->use_ul_ecu)
Done
https://gerrit.osmocom.org/c/osmo-bts/+/32110/comment/81e5e9ea_ff275dbd
PS4, Line 481: if (!trx->bts->suppress_ul_ecu)
> if (trx->bts->use_ul_ecu)
Done
--
To view, visit https://gerrit.osmocom.org/c/osmo-bts/+/32110
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Change-Id: I0acca9c6d7da966a623287563e0789db9e0fae8e
Gerrit-Change-Number: 32110
Gerrit-PatchSet: 5
Gerrit-Owner: falconia <falcon(a)freecalypso.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-CC: laforge <laforge(a)osmocom.org>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 16 May 2023 00:58:00 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: falconia <falcon(a)freecalypso.org>
Comment-In-Reply-To: laforge <laforge(a)osmocom.org>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: comment
Attention is currently required from: laforge, pespin.
Hello Jenkins Builder, fixeria,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-bts/+/32110
to look at the new patch set (#5).
Change subject: common+trx: make uplink ECU optional
......................................................................
common+trx: make uplink ECU optional
Current osmo-bts-trx includes a provision for invoking ECUs from
libosmocodec in the UL path from the channel decoder to the RTP
output; no other models currently do likewise, but there is no
particular reason why this ECU invokation couldn't be moved into
model-independent code.
However, the approach of applying an ECU to the UL output of a BTS
directly inside that BTS runs counter to standard GSM architecture;
instead the places where ECUs are to be implemented in the classic
architecture are as follows:
* At the decoding input of speech transcoders, be they TRAUs or
network edge TCs;
* In the Rx DTX handler block of every GSM MS;
* Possibly in the downlink path of TRAUs (the component preparing
the DL frame stream going to a BTS PHY) in the case of TFO.
In the RTP-based RAN environment, the following two scenarios are
most relevant:
1) In a call with only one GSM leg (the other leg is in the outside
world), the best possible ECU would be one that is absorbed into
the Rx DTX handler block at the decoding input of the network
edge transcoder.
2) In a TrFO call from one GSM MS to another, the best approach is
for the network to not apply any ECUs at all, and let all bad
frame handling take place in the receiving MS on each end of
the call.
In neither scenario is there anything to be gained from applying
an ECU at the point of UL RTP output from the BTS - therefore,
having one unconditionally included in a BTS with no way to disable
it is bad. Provide a vty option to enable or disable BTS-internal
application of an ECU to UL RTP output.
To avoid upsetting existing users, the default is left unchanged:
the built-in ECU *is* applied to the uplink. However, given that
this current default is counter to standard GSM architecture,
it may be worth considering changing it in the future.
Related: OS#6027
Change-Id: I0acca9c6d7da966a623287563e0789db9e0fae8e
---
M include/osmo-bts/bts.h
M src/common/bts.c
M src/common/vty.c
M src/osmo-bts-trx/l1_if.c
M tests/osmo-bts.vty
5 files changed, 103 insertions(+), 3 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-bts refs/changes/10/32110/5
--
To view, visit https://gerrit.osmocom.org/c/osmo-bts/+/32110
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-bts
Gerrit-Branch: master
Gerrit-Change-Id: I0acca9c6d7da966a623287563e0789db9e0fae8e
Gerrit-Change-Number: 32110
Gerrit-PatchSet: 5
Gerrit-Owner: falconia <falcon(a)freecalypso.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-CC: laforge <laforge(a)osmocom.org>
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: pespin, fixeria.
matanp has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-bsc/+/32565 )
Change subject: ctrl: Add getting neighbor list
......................................................................
Patch Set 3:
(1 comment)
File src/osmo-bsc/bts_ctrl.c:
https://gerrit.osmocom.org/c/osmo-bsc/+/32565/comment/c0df8280_2d26d8a4
PS3, Line 531: cmd->reply = talloc_asprintf_append(cmd->reply, i == 0 ? "%u" : " %u", i);
> there's several things I'm not liking here: […]
1-In my opinion "rf_states", "channel-load", "rach-access-control-classes" and "neighbor-bts list" kind of return lists and separation character changes (spaces in "channel-load" and "rach-access-control-classes", commas in "neighbor-bts list" and semicolons in "rf_states") - I have no personal preference, but perhaps it will be best to "standardise" it (tell me what you prefer and I will open PRs for the rest too).
2- I am really not an expert in libtalloc, but from reading the source code it seems that `talloc_asprintf_append` allocates memory by calling `talloc_realloc` (which frees the previous chunk if needed if I understand correctly). If we still don't want to reallocate that much, why not allocate 4009 (with comment explaining it, o course) bytes since it is the maximum length of the result?
--
To view, visit https://gerrit.osmocom.org/c/osmo-bsc/+/32565
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-bsc
Gerrit-Branch: master
Gerrit-Change-Id: Icba0b7d92f4c67e617d707ca651d674f0d1ba8a7
Gerrit-Change-Number: 32565
Gerrit-PatchSet: 3
Gerrit-Owner: matanp <matan1008(a)gmail.com>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-CC: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 15 May 2023 20:26:40 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: comment